# energyplus_calibrator



## Getting started
Install the requirements first
```
pip install -r requirements.txt
```
Then install the package as editable from the package directory
```
pip install -e .
```

The following examples are provided:
1. `e1_run_energyplus_simulation.py` for a simple simulation of the provided EnergyPlus model
2. `e2_run_energyplus_calibration.py` for a calibration of the provided EnergyPlus Model. The measurement data here is not real measurement data, but simulated data which has been changed a bit, just to see the effect of calibration.
3. `e3_run_energyplus_sensitivity_analysis` to do a sensitivity analysis.

The provided model is only for demonstration purposes. Both the calibration and sensitivity analysis dont really have a purpose except showing how the tool work. To use your own EnergyPlus model, just change the different paths in either the example files or the config file.